/*
  $VER: iff256.rexx 1.2 (25.1.95)
  (c) by Lukasz Szelag (luk@i17linuxa.ists.pwr.wroc.pl

This  ARexx  script is for GfxCon users and converts series of input images
(each  input  image  should match pattern *.xxxxx, where xxxxx is the frame
number)  to  another  graphics format as options given. You may change some
lines and customize the script for your own.
*/

/* preferences */
program_path    = "Work:Gfx/misc/GfxCon"
program_options = "FORMAT ILBM COLORS 256 GRAYSCALE"
input_basename  = "Work:Storage/24/IFF24"
output_basename = "Work:Storage/256/pic"
first_frame     = 1
last_frame      = 202

/* conversion */
DO i = first_frame TO last_frame
  in_name  = input_basename  || "." || Right("00000" || i, 5)
  out_name = output_basename || "." || Right("00000" || i, 5)
  SAY
  SAY "Processing:" in_name
  SAY

  ADDRESS COMMAND program_path || " " || in_name || " TO " || out_name || " " || program_options
  SAY
END
